Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne
Class ConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.cayenne.CayenneRuntimeException
                      org.apache.cayenne.ConfigurationException

All Implemented Interfaces:
  java.io.Serializable

    public class ConfigurationException

extends CayenneRuntimeException

A runtime exception thrown on failures in Cayenne configuration.

Author:
  Andrei Adamchik
See Also:
  Serialized Form

Constructor Summary
`ConfigurationException()` Creates new `ConfigurationException` without detail message.
`ConfigurationException(java.lang.String message)` Constructs an `ConfigurationException` with the specified detail message.
`ConfigurationException(java.lang.String message, java.lang.Throwable cause)`
`ConfigurationException(java.lang.Throwable cause)` Constructs an `ConfigurationException` that wraps `exception` thrown elsewhere.

Method Summary

Methods inherited from class org.apache.cayenne.CayenneRuntimeException
`getMessage, getUnlabeledMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationException

    public ConfigurationException()

  Creates new `ConfigurationException` without detail message.

### ConfigurationException

    public ConfigurationException(java.lang.String message)

  Constructs an `ConfigurationException` with the specified detail message.

  Parameters:
    `message` - the detail message.

### ConfigurationException

    public ConfigurationException(java.lang.Throwable cause)

  Constructs an `ConfigurationException` that wraps `exception` thrown elsewhere.

### ConfigurationException

    public ConfigurationException(java.lang.String message,
                                  java.lang.Throwable cause)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.